Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 244808 - (CVE-2007-2450) CVE-2007-2450 tomcat host manager XSS
CVE-2007-2450 tomcat host manager XSS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=asf,reported=20070524,public=2...
: Security
Depends On: 244810 244811 244812 244813 244814 244816 244817 244818 363081 430730 430731 449337
Blocks: 444136
  Show dependency treegraph
 
Reported: 2007-06-19 06:58 EDT by Mark J. Cox
Modified: 2016-03-04 07:01 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.5.25-1jpp.1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 00:35:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0569 normal SHIPPED_LIVE Moderate: tomcat security update 2007-07-17 06:36:11 EDT
Red Hat Product Errata RHSA-2007:0876 normal SHIPPED_LIVE Moderate: tomcat security update 2007-10-11 14:21:55 EDT

  None (edit)
Description Mark J. Cox 2007-06-19 06:58:08 EDT
According to http://tomcat.apache.org/security-5.html

low: Cross-site scripting   CVE-2007-2450

The Manager and Host Manager web applications did not escape user provided data
before including it in the output. This enabled a XSS attack. These applciations
now filter the data before use. This issue may be mitigated by logging out
(closing the browser) of the application once the management tasks have been
completed.

Affects: 5.0.0-5.0.30, 5.5.0-5.5.24

Example:

    <form action="http://example.com:8080/manager/html/upload"
method="post" enctype="multipart/form-data">
    <INPUT TYPE="hidden"
NAME='deployWar";filename="<script>alert()</script>"
    Content-Type: image/gif' VALUE="abc">
    <input type="submit">
    </form>
Comment 7 Fedora Update System 2007-11-17 00:34:50 EST
tomcat5-5.5.25-1jpp.1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2007-11-17 00:37:47 EST
tomcat5-5.5.25-1jpp.1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.